import React from 'react';
import logo from './../../logo.svg';
import './ProblemContainer.css';
import Container from '@material-ui/core/Container';
import Typography from '@material-ui/core/Typography';
import { Button, Paper } from '@material-ui/core';

function ProblemContainer() {
  const client_id = "sau3e70wvs369jw1u25ex8g3cve599"
  const redirect_uri = "https://" + encodeURI(window.location.href.split("/")[2]) + "/twitchadmin"
  const twitchURL = "https://id.twitch.tv/oauth2/authorize?client_id="+ client_id +"&redirect_uri="+ redirect_uri +"&response_type=code&scope=user:read:broadcast"

  return (
    <Container className="App">
      <Paper>
        <img src={logo} className="App-logo" alt="logo" />
        <Typography variant="h4" component="h1" gutterBottom>
          Twitch Sings Tools
        </Typography>
        <Typography variant="h5" component="h2" gutterBottom>
          PROBLEM.
        </Typography>
        <Typography variant="p" component="p" gutterBottom>
          Sorry, for some reason the login didn't work out.  Gotta bail.  Rain check?!
        </Typography>
        <Button variant="contained" color="primary" href={twitchURL}>
          Log in with Twitch
        </Button>
      </Paper>
    </Container>
  );
}

export default ProblemContainer;
